Seite 1 von 1

Plugin fehlerhaft

Verfasst: 11.02.2019, 10:43
von ole1210
Sehr geehrte Damen und Herren,

ich setze Ihr Newsletter-Plugin in der Pro-Version auf unserer Verseinsseite ein.

Nun wollte ich Freitag einen Newsletter versenden und musste feststellen, das eingefügte Bilder nicht mitgesendet wurden. Da es in der Vergangenheit einwandfrei funktioniert hat, habe ich unseren Server-Admin kontaktiert, da ich von einem Server-Fehler ausgegangen bin.

Von diesem habe ich jedoch die unten angefügte Info erhalten. Können Sie dazu bitte einmal Stellung nehmen?



Hallo Ole,

sorry, kein Serverfehler. In dem Newsletter-Plugin scheint ein Fehler zu sein. Vielleicht ist es nicht kompatibel mit PHP7? Zumindest habe ich einige alte Sourcen gefunden (PEAR wird schon länger nicht mehr gepflegt). Ich hab aber auch beide Varianten der Mailausgabe getestet (PHPMailer und mail, welches über eine PEAR MIMEMail geht). Beide Varianten liefern einen falschen Mailbody aus, vermutlich wäre das Ergebnis über die SMTP-Version identisch. Das Tool versucht die Bilder vom Server als Attachment einzubinden, allerdings ist das Attachment selbst leer. Evtl. nutzt das Tool auch Funktionen die nicht erlaubt sind? Die deaktivierten PHP-Funktionen lauten:

popen, proc_close, proc_get_status, proc_nice, proc_open, proc_terminate, show_source

Ich habe den Mail-Output in wp-content/plugins/wpnewslettergermany/lib/MIMEMailxPHP4_V2.2 abgelegt, die entsprechende Stelle, die die Datei schreibt ist im selben Verzeichnis in MIMEMailxPHP4_V2.inc (Zeile 461, kannst du auch wieder auskommentieren, wenn du nicht mehr testen möchtest). Die Ausgabedatei lautet "test.log" und ist genau das was 1:1 an Postfix weitergegeben wird. Ich hab dir die Datei gezipt auch an diese Mail angehängt. Ebenfalls zwei Screenshots, bei denen ich die relevanten Stellen markiert habe.

Leider ist das wpGermanNewsletter-Plugin (vermutlich aus Gründen des "Kopierschutzes") ein wenig obfuscated, was mir das Debugging schwer macht hat, und ein Bugfixing mache ich in solchen Dateien dann auch nicht mehr kostenlos.

Re: Plugin fehlerhaft

Verfasst: 11.02.2019, 11:14
von maennchen1.de
Hallo!
wpNewsletterGermany ist derzeit nicht kompatibel mit PHP7.0 oder neuer.
In den nächsten Wochen wird es eine neue Version geben, die das kann. Einen genauen Termin kann ich leider nicht nennen. Nutze bitte bis dahin PHP5.6, sofern das geht.

Re: Plugin fehlerhaft

Verfasst: 11.02.2019, 11:30
von ole1210
Wie kann das sein? das PHP 5.6 seit dem 31.12. endgültig ausgelaufen ist, daher keinerlei Updates mehr erhält und ein erhebliches Sicherheitsrisiko darstellt, ist doch seit geraumer Zeit bekannt. PHP 5.6 ist keine Option für uns, da es auf dem Server keine derartig veraltete Software mehr gibt.

Re: Plugin fehlerhaft

Verfasst: 11.02.2019, 12:02
von maennchen1.de
Mehr kann ich leider auch nicht sagen.

Re: Plugin fehlerhaft

Verfasst: 12.02.2019, 10:56
von maennchen1.de
Wir haben dein Problem mit PHP 7.1 nicht reproduzieren können. Könntest du bitte genauere Angaben machen? Zum Beispiel: wie du den Fehler bemerkt hast, mit welchem Programm du getestet hast, etc.
In deinem Text ist die Rede von Screenshots und Logfile. Könntest du die bitte mit anhängen?